Package bitel.billing.server.contract.bean.find

# Class SearchContract

java.lang.Object
bitel.billing.server.contract.bean.find.SearchContract

    public final class SearchContract
    extends java.lang.Object

универсальный поиск договоров поисковики надо будет раскидать по модулям наверно и перевести idealer и mps на него

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `MAX_RESULT` |
  `int` | `pos` |
  `protected static int` | `REGIME_LIKE` |
  `protected static int` | `REGIME_NORMAL` |
  `protected static int` | `REGIME_OFF` |
  `protected static int` | `REGIME_REGEXP` |

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `SearchContract​(SearchContractModule search, int mid, int pid, int pos, SearchConvertPattern[] pattern, int regime, long groups, java.lang.String patternTitle, boolean contractPeriodCheck)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<Contract>` | `findContract​(java.sql.Connection con, java.lang.String param, java.util.Calendar date, java.lang.StringBuilder report)` |
  `long` | `getGroups()` |
  `int` | `getMid()` |
  `java.lang.String` | `getPatternTitle()` |
  `int` | `getPid()` |
  `int` | `getRegime()` |
  `boolean` | `isContractPeriodCheck()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MAX_RESULT

    public static final int MAX_RESULT
    See Also:
      Constant Field Values

  - ### REGIME_OFF

    protected static final int REGIME_OFF
    See Also:
      Constant Field Values

  - ### REGIME_NORMAL

    protected static final int REGIME_NORMAL
    See Also:
      Constant Field Values

  - ### REGIME_LIKE

    protected static final int REGIME_LIKE
    See Also:
      Constant Field Values

  - ### REGIME_REGEXP

    protected static final int REGIME_REGEXP
    See Also:
      Constant Field Values

  - ### pos

    public final int pos

- ## Constructor Details

  - ### SearchContract

    protected SearchContract​(SearchContractModule search, int mid, int pid, int pos, SearchConvertPattern[] pattern, int regime, long groups, java.lang.String patternTitle, boolean contractPeriodCheck)

- ## Method Details

  - ### findContract

    public final java.util.List<Contract> findContract​(java.sql.Connection con, java.lang.String param, java.util.Calendar date, java.lang.StringBuilder report)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getMid

    public int getMid()

  - ### getRegime

    public int getRegime()

  - ### getGroups

    public long getGroups()

  - ### getPatternTitle

    public java.lang.String getPatternTitle()

  - ### getPid

    public int getPid()

  - ### isContractPeriodCheck

    public boolean isContractPeriodCheck()